<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url "todo_list_create" %}">Create a new list</a>
            </p>
            <p>
                <a href="{% url "todo_item_create" %}">Create a new item</a>
            </p>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Number of items</th>
                </thead>
                <tbody>
{% comment %}       iterating over todo_list context in list_list view function         {% endcomment %}
{% comment %}          for each instance of TodoList == Reminders, School,              {% endcomment %}
                    {% for todo in todo_list %}
                    <tr>
{% comment %}               links to the detail page with the correct id.                                    {% endcomment %}
                        <td>
                            <a href="{% url "todo_list_detail" todo.id %}">{{ todo.name }}</a>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
